Std Redo/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(5 intermediate revisions by one other user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu}}


{{Docnav
{{Docnav
Line 7: Line 6:
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Undo.svg
|IconL=Std_Undo.svg
|IconC=Freecad.svg
|IconR=Std_Cut.svg
|IconR=Std_Cut.svg
|IconC=Freecad.svg
}}
}}


Line 14: Line 13:
{{GuiCommand|Name=Std Redo|MenuLocation=[[Std_Edit_Menu|Edit]] → Redo‏‎||Workbenches=All|Shortcut=Maiusc+Ctrl+Z|SeeAlso=[[Std_Undo|Undo]]}}
{{GuiCommand|Name=Std Redo|MenuLocation=[[Std_Edit_Menu|Edit]] → Redo‏‎||Workbenches=All|Shortcut=Maiusc+Ctrl+Z|SeeAlso=[[Std_Undo|Undo]]}}
</div>
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 20: Line 21:
</div>
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
#Deschideți meniul '''Modify''', click pe [[Image:Std_Redo.png|32px]] sau alegeți {{KEY| Edit}} → {{KEY|[[Image:Std_Redo.png|32px]] Redo}} din meniul de sus/top.
#Deschideți meniul '''Modify''', click pe [[Image:Std_Redo.png|32px]] sau alegeți {{KEY| Edit}} → {{KEY|[[Image:Std_Redo.png|32px]] Redo}} din meniul de sus/top.


o altă posibilitate este utilizare acombinației de taste {{KEY/it|CTRL+Y}}.
o altă posibilitate este utilizare acombinației de taste {{KEY|CTRL+Y}}.


Cu fiecare clic al mouse-ului sau combinația de taste, ultima operație anulată este restaurată înapoi.
Cu fiecare clic al mouse-ului sau combinația de taste, ultima operație anulată este restaurată înapoi.
Line 33: Line 35:
</div>
</div>


# There are several ways to invoke the Redo command:
# There are several ways to invoke the command:
#* Pressing on the [[Image:Std_Redo.svg|16px]] button in the toolbar
#* Press the {{Button|[[Image:Std_Redo.svg|16px]] [[Std_Redo|Std Redo]]}} button.
#* Using the {{MenuCommand|{{StdMenu|[[Std_Edit_Menu|Edit]]}} → [[Image:Std_Redo.svg|16px]] Redo}} entry from the top menu.
#* Select the {{MenuCommand|Edit → [[Image:Std_Redo.svg|16px]] Redo}} option from the menu.
#* Using the {{KEY|Ctrl}}+{{KEY|Y}} keyboard shortcut
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|Y}}.


==Limitations==
==Options==

* To redo multiple actions click on the black down arrow to the right of the {{Button|[[Image:Std_Redo.svg|16px]] [[Std_Redo|Std Redo]]}} button and select from the list.

==Preferences==

* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* The maximum number of Undo/Redo steps is controlled by {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].


==Scripting==
==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To redo an action that has just been undone use the {{incode|redo}} method of the document object.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.redo()
}}


{{Docnav
{{Docnav
Line 47: Line 66:
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Undo.svg
|IconL=Std_Undo.svg
|IconC=Freecad.svg
|IconR=Std_Cut.svg
|IconR=Std_Cut.svg
|IconC=Freecad.svg
}}
}}


{{Std Base navi}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

{{clear}}
{{clear}}

Latest revision as of 14:13, 3 February 2023

Std Redo

Menu location
Edit → Redo‏‎
Workbenches
All
Default shortcut
Maiusc+Ctrl+Z
Introduced in version
-
See also
Undo

Description

Descriere

Această comandă resetează operațiile anulate anterior.

Utilizare

  1. Deschideți meniul Modify, click pe sau alegeți Edit Redo din meniul de sus/top.

o altă posibilitate este utilizare acombinației de taste CTRL+Y.

Cu fiecare clic al mouse-ului sau combinația de taste, ultima operație anulată este restaurată înapoi.

Numărul de operațiuni care pot fi modificate poate fi definit în Modifica → Preferenze → Generale → Documento. În mod implicit, pot fi restaurate ultimele "" 20 "" de operațiuni modificate.

Menu_Annulla_Ripristina

  1. There are several ways to invoke the command:
    • Press the Std Redo button.
    • Select the Edit → Redo option from the menu.
    • Use the keyboard shortcut: Ctrl+Y.

Options

  • To redo multiple actions click on the black down arrow to the right of the Std Redo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To redo an action that has just been undone use the redo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.redo()